Advanced search  

News:

cpg1.5.48 Security release - upgrade mandatory!
The Coppermine development team is releasing a security update for Coppermine in order to counter a recently discovered vulnerability. It is important that all users who run version cpg1.5.46 or older update to this latest version as soon as possible.
[more]

Pages: [1]   Go Down

Author Topic: Upgrading from cpg1.5.24 to 1.5.26  (Read 4420 times)

0 Members and 1 Guest are viewing this topic.

pols1337

  • Coppermine frequent poster
  • ***
  • Country: us
  • Offline Offline
  • Gender: Male
  • Posts: 244
Upgrading from cpg1.5.24 to 1.5.26
« on: March 24, 2014, 03:26:22 am »

Error:

Warning: require_once(include/inspekt/error.php): failed to open stream: Permission denied in /srv/www/htdocs/adonismale/charly/include/inspekt.php on line 33 Fatal error: require_once(): Failed opening required 'include/inspekt/error.php' (include_path='.:/usr/share/php5:/usr/share/php5/PEAR') in /srv/www/htdocs/adonismale/charly/include/inspekt.php on line 33

I think this may be because I ran update.php prematurely?  Please advise on how to fix.  Do I need to fix permissions somewhere?

Logged

gmc

  • Dev Team member
  • Coppermine addict
  • ****
  • Country: us
  • Offline Offline
  • Gender: Male
  • Posts: 785
    • GMC Design Photo Gallery
Re: Upgrading from cpg1.5.24 to 1.5.26
« Reply #1 on: March 25, 2014, 03:49:13 am »

You didn't provide a website url, so I can't see if the site is functional...

update.php can always be rerun.
you can verify the file permissions via the file explorer function your webhost provides or an ftp application...
if they look ok, I would try uploading the CPG files again. They may have gotten corrupted in the transfer.

Let us know what you find.

Greg
Logged
Thanks!
Greg
My Coppermine Gallery
Need a web hosting account? See my gallery for an offer for CPG Forum users.
Send me money

pols1337

  • Coppermine frequent poster
  • ***
  • Country: us
  • Offline Offline
  • Gender: Male
  • Posts: 244
Re: Upgrading from cpg1.5.24 to 1.5.26
« Reply #2 on: March 25, 2014, 05:33:24 pm »

Gallery located at: http://adonismale.com/charly/

When I try to run update.php, I just get a totally blank page.  I'll try reuploading all of the files and checking the permissions. 
Logged

Αndré

  • Administrator
  • Coppermine addict
  • *****
  • Country: de
  • Offline Offline
  • Gender: Male
  • Posts: 15765
Re: Upgrading from cpg1.5.24 to 1.5.26
« Reply #3 on: March 27, 2014, 01:54:57 pm »

Check include/inspekt/error.php particularly.
Logged

pols1337

  • Coppermine frequent poster
  • ***
  • Country: us
  • Offline Offline
  • Gender: Male
  • Posts: 244
Re: Upgrading from cpg1.5.24 to 1.5.26
« Reply #4 on: March 28, 2014, 02:51:08 am »

The file exists and the permissions are at 775. 
Logged

Phill Luckhurst

  • Administrator
  • Coppermine addict
  • *****
  • Country: gb
  • Offline Offline
  • Gender: Male
  • Posts: 4730
    • Windsurf.me
Re: Upgrading from cpg1.5.24 to 1.5.26
« Reply #5 on: March 28, 2014, 02:25:16 pm »

But is it the right version of the file. Re-upload the upgrade files via ftp overwriting the originals and see if that works.
Logged
It is a mistake to think you can solve any major problems just with potatoes.

pols1337

  • Coppermine frequent poster
  • ***
  • Country: us
  • Offline Offline
  • Gender: Male
  • Posts: 244
Re: Upgrading from cpg1.5.24 to 1.5.26
« Reply #6 on: March 29, 2014, 02:45:44 pm »

I eventually figured out how to fix it.  Changed all permissions in /include to 755. 
Logged
Pages: [1]   Go Up
 

Page created in 0.042 seconds with 21 queries.